#include <Riostream.h>
#include "TApvMode.h"
#include "TMath.h"

ClassImp(TApvMode)
  ///////////////////////////////////////////////////////
  // Class used to point Record/"DecOn/DecOff/PeakOn/PeakOff" TDirectory
  // 
  // Origin: D.Gerbaudo 19/11/03
  // 
  ////////////////////////////////////////////////////////
//_________________________________________________________________
TApvMode::TApvMode(int iVerb = 0): TObject() {
  //Default constructor
  aVerbose = iVerb;
  Init(0);
  if(aVerbose >= 2) cout<<"TApvMode: default constructor"<<endl;
  
}


//________________________________________________________________
TApvMode::TApvMode( TDirectory *aDir, int iVerb =0){
  // Standard constructor
  aVerbose = iVerb;
  if (aVerbose >= 2) cout<<"TApvMode: standard constructor"<<endl;
  Init(aDir);

}
//_________________________________________________________________
void TApvMode::Init( TDirectory *aDir ){
 
  if(aDir == 0){

    if(aVerbose >= 2){
      Warning("Init"," Invalid parameter  ");
      Warning("Init","This object should be properly initialised\n");
    }
    aPed = TPedestal::TPedestal();
    aNoise = TNoise::TNoise();
    
  }
  else {
    if (aVerbose >= 3) cout<<"TApvMode init"<<endl;
    aPed = TPedestal::TPedestal((TDirectory*) aDir->Get("Pedestal"));
    aNoise = TNoise::TNoise((TDirectory*) aDir->Get("Noise"));
    if(aVerbose >=2 && aPed.IsOk() && aNoise.IsOk()) 
      cout<<"TApvMode: all data member objects found."<<endl;
  }
}
//_________________________________________________________________
TApvMode::~TApvMode() {
  // Default destructor
}


