#include <Riostream.h>
#include "TNoise.h"
#include "TMath.h"

ClassImp(TNoise)
  ///////////////////////////////////////////////////////
  // Class used to point Record/*/noise TDirectory
  // 
  // Origin: D.Gerbaudo 07/11/03
  // 
  ////////////////////////////////////////////////////////
//_________________________________________________________________
  TNoise::TNoise(int iVerb = 0): TObject() {
  //Default constructor
  nVerbose = iVerb;
  Init(0);
  if(nVerbose >= 2) cout<<"TNoise: default constructor"<<endl;
  
}


//________________________________________________________________
TNoise::TNoise( TDirectory *nDir, int iVerb =0){
  // Standard constructor
  nVerbose = iVerb;
  if (nVerbose >= 2) cout<<"TNoise: standard constructor"<<endl;
  Init(nDir);

}
//_________________________________________________________________
void TNoise::Init( TDirectory *nDir ){
 
  if(nDir == 0){

    if(nVerbose >= 2){
      Warning("Init"," Invalid parameter  ");
      Warning("Init","This object should be properly initialised\n");
    }  
    nMean_Noise_F = 0;     
    nMean_RawNoise_F = 0;  
    nRMS_Noise_F = 0;      
    nRMS_RawNoise_F = 0;   
    nTIbadchped = 0;       
    
    nCMSubtractedNoise = 0;    
    nRawNoise = 0;              
    nBad_CMSubtractedNoise = 0; 
    nTGavrmst = 0;              
    
  }
  else {
    if (nVerbose >= 1) cout<<"TNoise right init"<<endl;
    nCMSubtractedNoise = (TH1F*) nDir->Get("CMSubtractedNoise");
    nRawNoise = (TH1F*) nDir->Get("RawNoise");
    nBad_CMSubtractedNoise = (TH1F*) nDir->Get("Bad_CMSubtractedNoise");
    nTGavrmst = (TGraph*) nDir->Get("TGavrmst");

    nMean_Noise_F = (TVector*) nDir->Get("tMean_Noise_F");
    nMean_RawNoise_F = (TVector*) nDir->Get("tMean_RawNoise_F");
    nRMS_Noise_F = (TVector*) nDir->Get("tRMS_Noise_F");
    nRMS_RawNoise_F = (TVector*) nDir->Get("tRMS_RawNoise_F");
    nTIbadchped = (TVector*) nDir->Get("TIbadchped");

    if(nVerbose >=2 && nRawNoise && nCMSubtractedNoise &&
      nBad_CMSubtractedNoise && nTGavrmst &&
      nMean_Noise_F && nMean_RawNoise_F &&
      nRMS_Noise_F && nRMS_RawNoise_F && nTIbadchped)
      
      cout<<"TNoise: all histos, graph  and vectors found."<<endl;
  }
}
//_________________________________________________________________
TNoise::~TNoise() {
  // Default destructor
}


