#ifndef TNOISE_H
#define TNOISE_H


#include "TRandom3.h"
#include "TVector.h"
#include "TH1F.h"
#include "TGraph.h"  
#include "TDirectory.h"

class TNoise : public TObject {
////////////////////////////////////////////////////////////////////////
// Description......
// 
// Origin: Davide Gerbaudo 31/10/2003
// 
////////////////////////////////////////////////////////////////////////
 public:
  //
  TNoise(int iVerb = 0);
  TNoise( TDirectory* , int iVerb = 0);
  virtual ~TNoise();
  bool IsOk() { return (nMean_Noise_F && nMean_RawNoise_F && nRMS_Noise_F && nRMS_RawNoise_F && nTIbadchped); }

  void Init( TDirectory *nDir ); 
  //tutti questi metodi get* sembrano abb inutili...
  //TVector *GetVectMean() const { return pVectMean; }
  //TVector *GetVectConnect() const { return pVectConnect; }
  //TVector *GetVectRMS() const { return pVectRMS; }   
  //TH1F *GetHistoPed() const { return pPedestal; }
  //TH1F *GetHistoBadPed() const { return pBadPedestal; }
  //
 private:
  //
  TVector	*nMean_Noise_F;     //->  bla bla 
  TVector	*nMean_RawNoise_F;  //->
  TVector	*nRMS_Noise_F;      //->
  TVector	*nRMS_RawNoise_F;   //->
  TVector	*nTIbadchped;       //->
  
  TH1F	  *nCMSubtractedNoise;     //-> CM subtr noise histo
  TH1F	  *nRawNoise;              //->
  TH1F	  *nBad_CMSubtractedNoise; //->
  TGraph  *nTGavrmst;              //-> 
  int nVerbose;                    //!  
  ClassDef(TNoise,1) 
};


#endif
