#include <Riostream.h>
#include "TPedestal.h"
#include "TMath.h"

ClassImp(TPedestal)
  ///////////////////////////////////////////////////////
  // Class used to point Record/*/pedestal TDirectory
  // 
  // Origin: D.Gerbaudo 31/10/03
  // 
  ////////////////////////////////////////////////////////
//_________________________________________________________________
  TPedestal::TPedestal(int iVerb = 0): TObject() {
  //Default constructor
  pVerbose = iVerb;
  Init(0);
  if(pVerbose >= 2) cout<<"TPedestal: default constructor"<<endl;
  
}


//________________________________________________________________
TPedestal::TPedestal( TDirectory *pDir, int iVerb =0){
  // Standard constructor
  pVerbose = iVerb;
  if (pVerbose >= 2) cout<<"TPedestal: standard constructor"<<endl;
  Init(pDir);

}
//_________________________________________________________________
void TPedestal::Init( TDirectory *pDir ){
 
  if(pDir == 0){

    if(pVerbose >= 2){
      Warning("Init"," Invalid parameter  ");
      Warning("Init","This object should be properly initialised\n");
    }
    pVectMean = 0;
    pVectConnect =0;
    pVectRMS = 0;
    pPedestal = 0;
    pBadPedestal = 0;
    
  }
  else {
    if (pVerbose >= 1) cout<<"TPedestal right init"<<endl;
    pPedestal = (TH1F*) pDir->Get("Pedestal");
    pBadPedestal = (TH1F*) pDir->Get("Bad_Pedestal");
    pVectMean = (TVector*) pDir->Get("tMean_Pedestal_F");
    pVectConnect = (TVector*) pDir->Get("TVconnectivity");
    pVectRMS = (TVector*) pDir->Get("tRMS_Pedestal_F");
    if(pVerbose >=2 && pPedestal && pBadPedestal &&
       pVectMean && pVectConnect && pVectRMS )
      cout<<"TPedestal: all histos and vectors found."<<endl;
  }
}
//_________________________________________________________________
TPedestal::~TPedestal() {
  // Default destructor
}


