#ifndef TPEDESTAL_H
#define TPEDESTAL_H


#include "TRandom3.h"
#include "TVector.h"
#include "TH1F.h"
#include "TDirectory.h"

class TPedestal : public TObject {
////////////////////////////////////////////////////////////////////////
// Description......
// 
// Origin: Davide Gerbaudo 31/10/2003
// 
////////////////////////////////////////////////////////////////////////
 public:
  //
  TPedestal(int iVerb = 0);
  TPedestal( TDirectory* , int iVerb = 0);
  virtual ~TPedestal();

  void Init( TDirectory *pDir ); 
  TVector *GetVectMean() const { return pVectMean; }
  TVector *GetVectConnect() const { return pVectConnect; }
  TVector *GetVectRMS() const { return pVectRMS; }   
  TH1F *GetHistoPed() const { return pPedestal; }
  TH1F *GetHistoBadPed() const { return pBadPedestal; }
  bool IsOk() { return (pVectMean && pVectConnect && pVectRMS && pPedestal && pBadPedestal); }
  //
 private:
  //
  TVector *pVectMean;      //->  mean pedestal
  TVector *pVectConnect;   //->  connectivity
  TVector *pVectRMS;       //->  RMS pedestal

  TH1F *pPedestal;         //->  pedestal histo
  TH1F *pBadPedestal;      //->  
  int pVerbose;            //!
  ClassDef(TPedestal,1) 
};


#endif
