#include <Riostream.h>
#include "TRecord.h"
#include "TMath.h"

ClassImp(TRecord)
  ///////////////////////////////////////////////////////
  // Class used to point Record TDirectory
  // 
  // Origin: D.Gerbaudo 21/11/03
  // 
  ////////////////////////////////////////////////////////
//_________________________________________________________________
TRecord::TRecord(int iVerb = 0): TObject() {
  //Default constructor
  rVerbose = iVerb;
  Init(0);
  if(rVerbose >= 2) cout<<"TRecord: default constructor"<<endl;
  
}


//________________________________________________________________
TRecord::TRecord( TDirectory *rDir, int iVerb =0){
  // Standard constructor
  rVerbose = iVerb;
  if (rVerbose >= 2) cout<<"TRecord: standard constructor"<<endl;
  Init(rDir);

}
//_________________________________________________________________
void TRecord::Init( TDirectory *rDir ){
 
  if(rDir == 0){

    if(rVerbose >= 2){
      Warning("Init"," Invalid parameter  ");
      Warning("Init","This object should be properly initialised\n");
    }
    //    DecOn = TApvMode::TApvMode();
    //DecOff = TApvMode::TApvMode();
    PeakOff = TApvMode::TApvMode();
    //PeakOn = TApvMode::TApvMode();
  }
  else {
    if (rVerbose >= 3) cout<<"TRecord init"<<endl;
    //DecOn = TApvMode::TApvMode((TDirectory*) rDir->Get("DecInvOn"));
    //DecOff = TApvMode::TApvMode((TDirectory*) rDir->Get("DecInvOff"));
    //PeakOn = TApvMode::TApvMode((TDirectory*) rDir->Get("PeakInvOn"));
    PeakOff = TApvMode::TApvMode((TDirectory*) rDir->Get("PeakInvOff"));
    // il verbose va aggiustato a piacere dopo....
    //if(rVerbose >=2 && aPed.IsOk() && aNoise.IsOk()) 
    //  cout<<"TApvMode: all data member objects found."<<endl;
  }
}
//_________________________________________________________________
TRecord::~TRecord() {
  // Default destructor
}


